town_sell_buy_effects = {}

__inherite(town_sell_buy_effects, null_lua_widget_handler())

function town_sell_buy_effects.__CreateInstance()
    return "town_sell_buy_effects"
end

function town_sell_buy_effects.DoDraw(_this, _renderer)
	town_effects.visual_effects:PreDraw(_renderer)
    return false
end

function town_sell_buy_effects.OnMouseMove(_this, _pos, _state, _broadcast)
    return false
end

function town_sell_buy_effects.OnMouseUp(_this, _pos, _button, _state, _broadcast)
    return false
end

function town_sell_buy_effects.OnMouseDown(_this, _pos, _button, _state, _broadcast)
    return false
end

function town_sell_buy_effects.OnDoubleClick(_this, _pos, _state, _broadcast)
    return true
end
